Bug 1175476 - (CVE-2019-14562) VUL-1: CVE-2019-14562: ovmf: DxeImageVerificationHandler integer overflow leads to endless loop
(CVE-2019-14562)
VUL-1: CVE-2019-14562: ovmf: DxeImageVerificationHandler integer overflow lea...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/265367/
CVSSv3.1:SUSE:CVE-2019-14562:3.6:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-08-19 08:55 UTC by Robert Frohl
Modified: 2021-01-27 17:05 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2020-08-19 08:55:20 UTC
rh#1869245

There is an integer overflow vulnerability in the DxeImageVerificationHandler(..) function when parsing the PE files attribute certificate table. In cases where WinCertificate->dwLength is sufficiently large, it's possible to overflow Offset back to 0 causing an endless loop.

References:
https://bugzilla.tianocore.org/show_bug.cgi?id=2215

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1869245
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-14562
https://github.com/leadsama/edk2/commit/64432aa296f3dd5df7674b2e5dcfd65d8a0af176
Comment 1 Robert Frohl 2020-08-19 09:53:11 UTC
tracking as affected:
- SUSE:SLE-12-SP2:Update / ovmf 
- SUSE:SLE-12-SP3:Update / ovmf 
- SUSE:SLE-12-SP4:Update / ovmf 
- SUSE:SLE-15:Update / ovmf 
- SUSE:SLE-15-SP2:Update / ovmf
Comment 2 Gary Ching-Pang Lin 2020-08-19 10:11:58 UTC
The fix is still under discussion.
https://edk2.groups.io/g/devel/topic/76165658
Comment 3 Gary Ching-Pang Lin 2020-09-03 02:17:44 UTC
The patches are merged into upstream git:
https://github.com/tianocore/edk2/commit/503248ccdf45c14d4040ce44163facdc212e4991
SecurityPkg/DxeImageVerificationLib: extract SecDataDirEnd, SecDataDirLeft

https://github.com/tianocore/edk2/commit/a7632e913c1c106f436aefd5e76c394249c383a8
SecurityPkg/DxeImageVerificationLib: assign WinCertificate after size check

https://github.com/tianocore/edk2/commit/0b143fa43e92be15d11e22f80773bcb1b2b0608f
SecurityPkg/DxeImageVerificationLib: catch alignment overflow (CVE-2019-14562)
Comment 5 Gary Ching-Pang Lin 2020-09-03 06:41:31 UTC
Those patches are submitted.
Comment 6 Swamp Workflow Management 2020-09-21 13:17:49 UTC
SUSE-SU-2020:2691-1: An update that solves one vulnerability and has one errata is now available.

Category: security (moderate)
Bug References: 1119454,1175476
CVE References: CVE-2019-14562
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    ovmf-201911-7.5.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2020-09-22 19:21:11 UTC
SUSE-SU-2020:2714-1: An update that solves one vulnerability and has one errata is now available.

Category: security (moderate)
Bug References: 1175476,1175674
CVE References: CVE-2019-14562
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    ovmf-2017+git1510945757.b2662641d5-3.29.1
SUSE OpenStack Cloud 9 (src):    ovmf-2017+git1510945757.b2662641d5-3.29.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    ovmf-2017+git1510945757.b2662641d5-3.29.1
SUSE Linux Enterprise Server 12-SP5 (src):    ovmf-2017+git1510945757.b2662641d5-3.29.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    ovmf-2017+git1510945757.b2662641d5-3.29.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2020-09-22 19:31:20 UTC
SUSE-SU-2020:2713-1: An update that solves one vulnerability and has one errata is now available.

Category: security (moderate)
Bug References: 1175476,1175674
CVE References: CVE-2019-14562
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    ovmf-2017+git1510945757.b2662641d5-5.35.1
SUSE Linux Enterprise Server 15-LTSS (src):    ovmf-2017+git1510945757.b2662641d5-5.35.1
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    ovmf-2017+git1510945757.b2662641d5-5.35.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    ovmf-2017+git1510945757.b2662641d5-5.35.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    ovmf-2017+git1510945757.b2662641d5-5.35.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2020-09-25 10:15:27 UTC
openSUSE-SU-2020:1525-1: An update that solves one vulnerability and has one errata is now available.

Category: security (moderate)
Bug References: 1119454,1175476
CVE References: CVE-2019-14562
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    ovmf-201911-lp152.6.5.1
Comment 10 Swamp Workflow Management 2020-09-26 04:13:39 UTC
openSUSE-SU-2020:1535-1: An update that solves one vulnerability and has one errata is now available.

Category: security (moderate)
Bug References: 1175476,1175674
CVE References: CVE-2019-14562
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    ovmf-2017+git1510945757.b2662641d5-lp151.11.9.1
Comment 11 Swamp Workflow Management 2020-11-03 14:24:04 UTC
SUSE-SU-2020:3126-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1163927,1175476
CVE References: CVE-2019-14559,CVE-2019-14562
JIRA References: 
Sources used:
SUSE OpenStack Cloud 7 (src):    ovmf-2015+git1462940744.321151f-19.15.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    ovmf-2015+git1462940744.321151f-19.15.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    ovmf-2015+git1462940744.321151f-19.15.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    ovmf-2015+git1462940744.321151f-19.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Alexandros Toptsoglou 2021-01-27 17:05:11 UTC
DONE